.contest-content {
  width: 100%;
  height: 100%;
  color: white;
  background: url(/assets/images/common/img-bg.jpg) no-repeat top  center / 100%;
  display: flex;
  position: relative;
}
.contest-content .buttons {
  text-align: center;
}

/* 재료 선택 */
.contest-select-cont {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.contest-visual {
  width: 46.74%;
  height: 100%;
}
.contest-visual .visual-area {
  padding: 4vw 0 3.1vw;
  width: 100%;
  height: 100%;
  text-align: center;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.contest-visual .step-title div {
  font-family: "Scoopbeta-Regular";
  font-size: 3.02vw;
  letter-spacing: -0.201vw;
}
.contest-visual .step-title div.sub-tit {
  font-family: "Scoopbeta-Bold";
  font-size: 4.03vw;
  margin-top: 0.5vw;
  letter-spacing: -0.15vw;
}
.contest-visual .visual-area .frame {
  position: relative;
  width: 100%;
  margin-top: 2.68vw;
}
.contest-visual .visual-area .frame .step-tit {
  position: absolute;
  left: 34.2vw;
  top: 1.41vw;
  color: #fff;
  font-family: 'AppleSDGothicNeoB';
  font-size: 2.012vw;
  font-weight: 400;
  letter-spacing: -0.101vw;
}
.contest-visual .visual-area .frame .select-frame {
  width: 36vw;
  margin: 0 auto;
}
.contest-visual .icecream {
  position: absolute;
  left: 50%;
  top: 3.1vw;
  transform: translateX(-50%);
  height: auto;
  width: 21.62vw;
  z-index: 10;
  aspect-ratio: 1;
}
.contest-visual .icecream .img {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  padding-bottom: 100%;
  background-size: 100%;
  background-repeat: no-repeat;
}
.contest-visual .icecream .img.default {
  background-image: url('/assets/images/common/contest_visual_flavor.png');
  width: 90%;
  top: 2.5vw;
  left: 50%;
  z-index: 10;
  transform: translateX(-50%);
}
.contest-visual .cone {
  position: absolute;
  left: 50%;
  top: 1.6vw;
  transform: translateX(-50%);
  width: 31vw;
  aspect-ratio: 1 /1;
  display: flex;
  justify-content: center;
  z-index: 9;
}
.contest-visual .cone img {
  width: 100%;
  height: 100%;
}
.contest-visual .selected-area {
  position: absolute;
  bottom: 2.85vw;
  width: 31vw;
  left: 50%;
  transform: translateX(-50%);
}
.contest-visual .selected-area .selected-group {
  position: relative;
  font-size: 1.68vw;
  line-height: 3.52vw;
  border: 1px solid #002855;
  border-radius: 55px;
  background-color: white;
  overflow: hidden;
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: auto;
  margin-top: 0.67vw;
}
.contest-visual .selected-area .selected-group.first {
  margin-top: 0;
}
.contest-visual .selected-area .selected-group .selected-item {
  font-family: "AppleSDGothicNeoR";
  font-weight: 400;
  display: flex;
  align-items: center;
  padding-top: 0.2rem;
  font-size: 1.35vw;
  color: #556B8D;
  line-height: 1.85vw;
  width: calc(100% - 26.61%);
}
.contest-visual .selected-area .selected-title {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 22.11%;
  height: 100%;
  font-family: "AppleSDGothicNeoB";
  color: #fff;
  text-align: center;
  background-color: #002855;
  border-radius: 55px;
  letter-spacing: -0.09vw;
}
.contest-visual .selected-area .deselect-btn {
  display: none;
  position: absolute;
  right: -1px;
  top: 0;
  height: 100%;
  width: auto;
  aspect-ratio: 1;
  background: #002855;
  font-size: 0;
  border-radius: 100%;
  justify-content: center;
  align-items: center;
}
.contest-visual .selected-area .deselect-btn svg {
  width: 1.18vw;
  height: auto;
  aspect-ratio: 1;
}
.contest-visual .selected-area .deselect-btn.active {
  display: flex;
}  

/* 재료 선택 영역 */
.contest-select {
  width: calc(100% - 46.74%);
  height: 100%;
  background: #98AED0;
}
.contest-select ul.tabs {
  display: flex;
  justify-content: space-between;
  background: #fff;
  height: 4.7vw;
}
.contest-select ul.tabs > li {
  font-family: "AppleSDGothicNeoB";
  max-width: 17%;
  width: 100%;
  cursor: pointer;
  color: #002855;
  font-size: 1.68vw;
  letter-spacing: -0.01em;
  margin: 0 auto;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  letter-spacing: -0.09vw;
}
.contest-select ul.tabs > li:not(:last-child) {
  border-right: 1px solid #98aed0;
}
.contest-select ul.tabs > li.active {
  color: #fff;
  background: #98aed0;
}
.contest-select .tab-content {
  height: calc(100% - 4.7vw);
  padding: 3.1vw 7.96vw;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.contest-select .tab-content .tit {
  font-family: 'AppleSDGothicNeoB';
  font-size: 3.02vw;
  text-align: center;
  letter-spacing: -0.151vw;
}
.contest-select .select-area .select-inner {
  position: relative;
}
.contest-select .select-area .select-slides {
  margin: -0.335vw;
}
.contest-select .select-area .select-slides ul div {
  width: 100%;
  height: 100%;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}
.contest-select .select-area .select-item {
  padding: 0.335vw;
  width: 33.3%;
}
.contest-select .select-area .select-item .inner {
  position: relative;
  display: block;
  width: 100%;
  padding-bottom: 100%;
  background-color: #fff;
  border-radius: 1.68vw;
}
.contest-select .select-area .select-item .img {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-position: 50% 50%;
  background-size: 100%;
  background-repeat: no-repeat;
}
.contest-select .select-area .select-item.active .inner::before {
  content: "";
  display: block;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  border: min(0.4vw,4px) solid #002855;
  border-radius: 1.68vw;
}
.contest-select .select-area {
  position: relative;
  height: 100%;
}
.contest-select .select-area .swiper-button-prev,
.contest-select .select-area .swiper-button-next {
  width: 1.6vw;
  height: auto;
  aspect-ratio: 13 / 26;
  background-size: 2.1rem;
}
.contest-select .select-area .swiper-button-prev {
  left: -3.8vw
}
.contest-select .swiper-button-prev:after, 
.contest-select .swiper-rtl .swiper-button-next:after {
  content: "";
  background: url(/assets/images/common/icon_slide_prev.png) no-repeat center / contain !important;
  width: 100%;
  height: 100%;
}
.contest-select .select-area .swiper-button-next {
  right: -3.8vw
}
.contest-select .swiper-button-next:after,
.contest-select .swiper-rtl .swiper-button-prev:after {
  content: "";
  background: url(/assets/images/common/icon_slide_next.png) no-repeat center / contain !important;
  width: 100%;
  height: 100%;
}

/* 인풋 및 결과 페이지 */
.contest-result-cont {
  display: none;
  width: 100%;
  height: 100%;
}
.contest-result-cont.end {
  margin: 0 7.96vw;
  justify-content: space-between;
}
.contest-result-cont.end .contest-result {
  width: 50%; 
  justify-content: center;
}
.contest-result-cont.end .contest-result .return {
  display: none;
}
.contest-result-cont.end .result-icecream {
  width: 42.3vw;
}
.contest-result-cont.end .contest-result .result-icecream .title {
  top: 2.7%;
}
.contest-result-cont.end .result-icecream .flavor {
  top: 3.3vw;
  width: 26.47vw;
}
.contest-result-cont .result-icecream .flavor {
  top: 3vw;
  width: 23.62vw;
}

.contest-confirm {
  display: none;
  width: calc(100% - 46.74%);
  height: 100%;
  background: #98AED0;
  padding: 3vw 0 3.1vw;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}  
.contest-confirm .buttons {
  margin-top: 2.1vw;
}
.contest-confirm .form-area {
  text-align: center;
}  
.contest-confirm .form-area .icecream-name{
  margin: 2.4vw 0 2.8vw;
}
.contest-confirm .form-area .title {
  font-family: 'AppleSDGothicNeoEB';
  color: #1F436D;
  font-size: 2.35vw;
  margin-bottom: 1vw;
  line-height: 1;
  letter-spacing: -0.118vw;
}
.contest-confirm .form-area .text {
  font-family: 'AppleSDGothicNeoM';
  font-size: 1.51vw;
  line-height: 1.3;
  color: #1F436D;
  letter-spacing: -0.076vw;
  margin-bottom: 1.1vw;
}
.contest-confirm .form-area .text-view {
  width: 40.88vw;
  height: 4.95vw;
  padding: 1.7vw;
  font-size: 1.51vw;
  text-align: left;
  background: rgba(255, 255, 255, 0.9);
  border-radius: 1.7vw;
  line-height: 1;
  margin: 0 auto;
}
.contest-confirm .form-area .text-view.icecream-concept-btn {
  display: flex;
  height: 18vw;
}
.contest-confirm .form-area .text-view span {
  font-family: 'AppleSDGothicNeoR';
  color: #ccc;
  letter-spacing: -0.076vw;
  word-wrap: break-word;
}
.contest-confirm .form-area .text-view.active span {
  opacity: 1;
  width: 100%;
  height: 100%;
  color: #323232;
}
.contest-content .contest-confirm .return-btn::before{
  content: "";
  background: url(/assets/images/common/contest/icon_return.png) no-repeat center / 100%;
  width: 2.1rem;
  height: 2.7rem;
  position: absolute;
  left: 20%;
}
.contest-content .contest-confirm .return-btn span {
  font-size: 3.2rem;
  margin-left: 3rem;
  font-family: 'AppleSDGothicNeoEB';
  color: #fff;
  margin-top: 0.5rem;
}

.contest-result {
  width: 46.74%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: end;
}
.contest-result .return .btn-pack {
  padding: 0 3.15vw;
  margin: 7vw 0 3.1vw;
  background: #98AED0;
}

.contest-privacy {
  display: none;
  width: fit-content;
  height: 100%;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.contest-privacy .description {
  font-family: 'Scoopbeta-Bold';
  font-size: 4.03vw;
  letter-spacing: -0.201vw;
  text-align: center;
}
.contest-privacy .contest-info-text {
  position: absolute;
  bottom: 1.93vw;
  right: 2.1vw;
  font-family: 'AppleSDGothicNeoR';
  letter-spacing: -0.067vw;
  font-size: 1.34vw;
}
.contest-privacy .buttons {
  width: min-content; 
}
.contest-privacy .buttons .btn-pack {
  width: 38.36vw;
  line-height: 6.45vw;
  background: #fff;
  color: #002855;
  margin-top: 2.68vw;
  font-family: 'AppleSDGothicNeoEB';
}

.result-icecream {
  position: relative;
  background: url(/assets/images/common/contest_result_frame.png) no-repeat center / 100%;
  height: auto;
  width: 37.78vw;
  margin: 0 auto;
  aspect-ratio: 504 / 490;
}
.result-icecream .cone {
  position: absolute;
  left: 48.5%;
  transform: translateX(-50%);
  aspect-ratio: 1 /1;
  display: flex;
  justify-content: center;
  z-index: 9;
  top: 1.58vw;
  width: 33.5vw;
}  
.end .result-icecream .cone {
  top: 1.84vw;
  width: 37.6vw;
}
.result-icecream .cone img {
  width: 100%;
  height: 100%;
}
.result-icecream .frame img {
  width: 57.3rem;
  margin: 1rem auto 4rem;
  display: block;
}

.result-icecream .title {
  position: absolute;
  right: 0;
  top: 1.5%;
  width: fit-content;
  font-family: "AppleSDGothicNeoEB";
  font-size: 2.35vw;
  line-height: 2.1;
  color: #fff;
  text-align: center;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  display: inline;
  background-color: #002855;
  height: 4.44vw;
  padding: 0 2rem;
  border-radius: 1.68vw 0 0 0;
  letter-spacing: -0.101vw;
}
.result-icecream .flavor {
  position: absolute;
  left: 49%;
  top: 3.8vw;
  transform: translateX(-50%);
  width: 26.46vw;
  aspect-ratio: 1;
  z-index: 10;
}
  .result-icecream .flavor .img {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    padding-bottom: 100%;
    background-repeat: no-repeat;
    background-size: 100%;
    background-position: 0 0;
    z-index: 10;
  }
  .result-icecream .flavor .img img,
  .result-icecream .flavor .img svg {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
  }
.result-icecream .selected {
  position: absolute;
  left: 2.934vw;
  bottom: 2.934vw;
}
.result-icecream .selected > p {
  position: relative;
  margin-top: 0.51vw;
  padding: 0 0.84vw;
  display: flex;
  align-items: center;
  width: fit-content;
  height: auto;
  font-size: 1.18vw;
  letter-spacing: -0.051vw;
  line-height: 2.85vw;
  background-color: #1F436D;
  color: #fff;
  font-family: 'AppleSDGothicNeoB';
  z-index: 100;
  background: #1F436D;
}
.result-tit {
  text-align: center;
  width: 100%;
  font-family: "Scoopbeta-Bold";
  font-size: 4.36vw;
  color: #002855;
  letter-spacing: -0.218vw;
}